package com.huguesjohnson.jail.jdt;

/*
Jdt (Java Decision Tree) - Package to create and display a decision tree
JdtUITreePanel.java - swing panel to display a decision tree
Copyright  (C) 2000-2003 Hugues Johnson

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JLabel;
import javax.swing.JPanel;

/** class JdtUITreePanel
 * @author Hugues Johnson
 */
public class JdtUITreePanel extends JPanel implements ActionListener{
    
    /** constructor
     */
    public JdtUITreePanel(){
        this.addComponents();
    }

    /** adds components to the panel 
     */
    private void addComponents(){
        this.add(new JLabel("Tree Panel"));
    }
    
    /** receives swing events 
     * @param e the event received
     */
    public void actionPerformed(ActionEvent e){
    }

    /** returns a string representation of the object
     * @return string representation of the object
     */
    public String toString(){
        String tostring=new String(super.toString());
        return(tostring);
    }    
}